Summary:	OpenCA Base Tools
Name:		openca-tools
Version:	1.3.0
Release:	%mkrel 8
License:	BSD-style
Group:		System/Servers
URL:		http://www.openca.org/
Source0:	http://prdownloads.sourceforge.net/openca/%name-%version.tar.gz
Patch0:		openca-tools-no_rpath.diff
Patch1:		openca-tools-1.3.0-drop-unused-automake-macro.patch
Patch2:		openca-tools-1.1.0-format_not_a_string_literal_and_no_format_arguments.diff
Requires:	openssl >= 0.9.7
BuildRequires:	openssl >= 0.9.7
BuildRequires:	openssl-devel >= 0.9.7

%description
OpenCA Tools provide command line facilities for (1) digital signatures
generation and verifications and for (2) SCEP message handling.

#--------------------------------------------------------------------

%package -n	openca-scep
Summary:	OpenCA SCEP Tool
Group:		System/Servers
License:	BSD-style

%description -n	openca-scep
OpenCA SCEP Tool

%files -n openca-scep
%doc AUTHORS COPYING INSTALL NEWS README examples/openca-scep
%{_bindir}/openca-scep

#--------------------------------------------------------------------

%package -n	openca-sv
Summary:	OpenCA PKCS#7 tool
Group:		System/Servers
License:	BSD-style

%description -n	openca-sv
OpenCA SV Tool is aimed to help you in generating PKCS#7 signatures and verify
them. This tool can also verify signatures generated with Netscape crypto()
javascript function.

%files -n openca-sv
%doc AUTHORS COPYING INSTALL NEWS README examples/openca-sv
%{_bindir}/openca-sv
%{_mandir}/man1/openca-sign.1*
%{_mandir}/man1/openca-verify.1*

#--------------------------------------------------------------------

%package -n	openca-crmf
Summary:	OpenCA CRMF Tool
Group:		System/Servers
License:	GPLv2

%description -n	openca-crmf
OpenCA CRMF Tool

%files -n openca-crmf
%{_bindir}/openca-crmf

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1

# fix borkiness
perl -pi -e "s|/etc/issue|/etc/%{_real_vendor}-release|g" configure.in

%build
%serverbuild
autoreconf -fi

%configure2_5x \
    --enable-openssl-engine \
    --with-openssl-prefix=%{_prefix} \
    --with-openca-prefix=%{_datadir}/openca \
    --with-openca-user=openca \
    --with-openca-group=openca
%make

%install
%makeinstall_std

# fix man pages
mv %{buildroot}%{_mandir}/man1/sign.1 %{buildroot}%{_mandir}/man1/openca-sign.1
mv %{buildroot}%{_mandir}/man1/verify.1 %{buildroot}%{_mandir}/man1/openca-verify.1


%changelog
* Wed Feb 03 2016 umeabot <umeabot> 1.3.0-8.mga6
+ Revision: 933392
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-7.mga5
+ Revision: 743172
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-6.mga5
+ Revision: 683189
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.0-5.mga4
+ Revision: 532086
- Mageia 4 Mass Rebuild

* Fri Aug 16 2013 fwang <fwang> 1.3.0-4.mga4
+ Revision: 466848
- update correct build switch
- make it build first

* Fri Aug 16 2013 fwang <fwang> 1.3.0-3.mga4
+ Revision: 466843
- AM_PROG_CC_C_O is not required now
- use macro for dist name

* Sun Jan 13 2013 umeabot <umeabot> 1.3.0-3.mga3
+ Revision: 361911
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 neoclust <neoclust> 1.3.0-2.mga3
+ Revision: 297469
- imported package openca-tools


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-2mdv2011.0
+ Revision: 613530
- rebuild

* Mon Apr 19 2010 Funda Wang <fwang@mandriva.org> 1.3.0-1mdv2010.1
+ Revision: 536580
- New version 1.3.0

* Mon Oct 05 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-3mdv2010.0
+ Revision: 454029
- P1: fix format string errors
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Oct 15 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-1mdv2009.1
+ Revision: 293923
- 1.1.0
- rediffed P1

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2mdv2009.0
+ Revision: 234495
- rebuild
- fix build

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Aug 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdv2008.0
+ Revision: 65479
- fix build
- Import openca-tools



* Sat Aug 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdv2008.0
- initial Mandriva package
